LINUX.ORG.RU

Что случилось с Телеграм в Федора 38?

 , , ,


1

1
[root@fedora ~]# sudo dnf update --best --allowerasing -y && sudo dnf install telegram-desktop -y
isc-stork                                                                                                                                                     371  B/s | 488  B     00:01    
isc-stork-noarch                                                                                                                                              433  B/s | 488  B     00:01    
isc-stork-source                                                                                                                                              346  B/s | 488  B     00:01    
Dependencies resolved.
Nothing to do.
Complete!
Last metadata expiration check: 0:00:02 ago on Пт 28 июл 2023 21:45:14.
Error: 
 Problem: problem with installed package gstreamer1-plugins-good-qt6-1.22.5-1.fc38.x86_64
  - package gstreamer1-plugins-good-qt6-1.22.5-1.fc38.x86_64 from @System requires libQt6Core.so.6(Qt_6.5)(64bit), but none of the providers can be installed
  - package gstreamer1-plugins-good-qt6-1.22.5-1.fc38.x86_64 from updates requires libQt6Core.so.6(Qt_6.5)(64bit), but none of the providers can be installed
  - cannot install both qt6-qtbase-6.4.3-1.fc38.x86_64 from fedora and qt6-qtbase-6.5.2-1.fc38.x86_64 from @System
  - cannot install both qt6-qtbase-6.5.2-1.fc38.x86_64 from updates and qt6-qtbase-6.4.3-1.fc38.x86_64 from fedora
  - package telegram-desktop-4.7.1-2.fc38.x86_64 from rpmfusion-free requires qt6-qtbase(x86-64) = 6.4.3, but none of the providers can be installed
  - conflicting requests
  - nothing provides qt6-qtbase(x86-64) = 6.5.1 needed by telegram-desktop-4.8.4-2.fc38.x86_64 from rpmfusion-free-updates
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages)
[root@fedora ~]# 

Как починить?..


Что случилось с Телеграм в Федора 38?

С ним случилось федорино горе. Ставя себе этот дистрибутив, ты добровольно соглашаешься быть бесплатным бетотестером у красной шапки. Ещё вопросы?

ox55ff ★★★★★
()
Ответ на: комментарий от papin-aziat
[root@fedora ~]# sudo dnf update qt6-qtbase -y && dnf info qt6-qtbase && dnf repolist
Last metadata expiration check: 0:02:52 ago on Пт 28 июл 2023 22:17:56.
Dependencies resolved.
Nothing to do.
Complete!
Last metadata expiration check: 0:02:53 ago on Пт 28 июл 2023 22:17:56.
Installed Packages
Name         : qt6-qtbase
Version      : 6.5.2
Release      : 1.fc38
Architecture : x86_64
Size         : 11 M
Source       : qt6-qtbase-6.5.2-1.fc38.src.rpm
Repository   : @System
From repo    : updates
Summary      : Qt6 - QtBase components
URL          : http://qt-project.org/
License      : LGPL-3.0-only OR GPL-3.0-only WITH Qt-GPL-exception-1.0
Description  : Qt is a software toolkit for developing applications.
             : 
             : This package contains base tools, like string, xml, and network
             : handling.

Available Packages
Name         : qt6-qtbase
Version      : 6.5.2
Release      : 1.fc38
Architecture : i686
Size         : 4.2 M
Source       : qt6-qtbase-6.5.2-1.fc38.src.rpm
Repository   : updates
Summary      : Qt6 - QtBase components
URL          : http://qt-project.org/
License      : LGPL-3.0-only OR GPL-3.0-only WITH Qt-GPL-exception-1.0
Description  : Qt is a software toolkit for developing applications.
             : 
             : This package contains base tools, like string, xml, and network
             : handling.

repo id                                                                                      repo name
copr:copr.fedorainfracloud.org:karlisk:ventoy                                                Copr repo for ventoy owned by karlisk
copr:copr.fedorainfracloud.org:nalika:gzdoom                                                 Copr repo for gzdoom owned by nalika
copr:copr.fedorainfracloud.org:phracek:PyCharm                                               Copr repo for PyCharm owned by phracek
fedora                                                                                       Fedora 38 - x86_64
fedora-cisco-openh264                                                                        Fedora 38 openh264 (From Cisco) - x86_64
fedora-modular                                                                               Fedora Modular 38 - x86_64
google-chrome                                                                                google-chrome
isc-stork                                                                                    isc-stork
isc-stork-noarch                                                                             isc-stork-noarch
isc-stork-source                                                                             isc-stork-source
rpmfusion-free                                                                               RPM Fusion for Fedora 38 - Free
rpmfusion-free-updates                                                                       RPM Fusion for Fedora 38 - Free - Updates
rpmfusion-nonfree                                                                            RPM Fusion for Fedora 38 - Nonfree
rpmfusion-nonfree-nvidia-driver                                                              RPM Fusion for Fedora 38 - Nonfree - NVIDIA Driver
rpmfusion-nonfree-steam                                                                      RPM Fusion for Fedora 38 - Nonfree - Steam
rpmfusion-nonfree-updates                                                                    RPM Fusion for Fedora 38 - Nonfree - Updates
updates                                                                                      Fedora 38 - x86_64 - Updates
updates-modular                                                                              Fedora Modular 38 - x86_64 - Updates
[root@fedora ~]# 
SerW
() автор топика
Ответ на: комментарий от monkdt

Это бинарник с офсайта предложенный самими разрабами

Запускать у себя чужой бинарник без всякой изоляции такое себе.

Емнип, у них есть проприетарные компоненты в клиенте, и в этой связи его уже из rpmfusion как-то выкидывали. Писали, что мантейнить его это какой-то ад.

Вот и опять, видимо, этот ад проявился.

ivanov17
()
Ответ на: комментарий от SerW

Форматирование поехало, сорри!..

[dragonserw@fedora ~]$ dnf repolist
repo id                                        repo name
copr:copr.fedorainfracloud.org:karlisk:ventoy  Copr repo for ventoy owned by karlisk
copr:copr.fedorainfracloud.org:nalika:gzdoom   Copr repo for gzdoom owned by nalika
copr:copr.fedorainfracloud.org:phracek:PyCharm Copr repo for PyCharm owned by phracek
fedora                                         Fedora 38 - x86_64
fedora-cisco-openh264                          Fedora 38 openh264 (From Cisco) - x86_64
fedora-modular                                 Fedora Modular 38 - x86_64
google-chrome                                  google-chrome
isc-stork                                      isc-stork
isc-stork-noarch                               isc-stork-noarch
isc-stork-source                               isc-stork-source
rpmfusion-free                                 RPM Fusion for Fedora 38 - Free
rpmfusion-free-updates                         RPM Fusion for Fedora 38 - Free - Updates
rpmfusion-nonfree                              RPM Fusion for Fedora 38 - Nonfree
rpmfusion-nonfree-nvidia-driver                RPM Fusion for Fedora 38 - Nonfree - NVIDIA Driver
rpmfusion-nonfree-steam                        RPM Fusion for Fedora 38 - Nonfree - Steam
rpmfusion-nonfree-updates                      RPM Fusion for Fedora 38 - Nonfree - Updates
updates                                        Fedora 38 - x86_64 - Updates
updates-modular                                Fedora Modular 38 - x86_64 - Updates
[dragonserw@fedora ~]$ 
SerW
() автор топика
Ответ на: комментарий от ox55ff

я тебе открою секрет шо даже на свежей винде все являются тестерами. В любой системе с автоматическим багрепортером юзер является тестером. А ее еще и продают за деньги. То и дело читаешь «с новым апдейтом шото там накрылось, перестало работать, пожалуйста откатите, не устанавливайте или по крайней мере не нажимайте определенные кнопочки»

)))

monkdt
()
Ответ на: комментарий от ivanov17

Запускать у себя чужой бинарник без всякой изоляции такое себе.

это же не васянская контора, а супер-пупер знаменитый мессенжер. Очень сомневаюсь, что они будут себя дискредитировать. Очень, очень, очень

monkdt
()
Ответ на: комментарий от monkdt

Потому что в нормальных дистрибутивах весь софт ставится из реп, это же не слака. В арче и генте телега отлично ставится, как в других дистрах не знаю. А ставить бинарник сайта в линуксе можно только от безысходности.

Werenter ★★★
()
Ответ на: комментарий от monkdt

супер-пупер знаменитый мессенжер

В таких случаях только верить на слово и остаётся.

Скайп тоже когда-то был супер-пупер знаменитый и всячески незаменимый. Лет десять назад читал, что в какой-то момент его поймали на сканировании пользовательских директорий.

Даже если этого и не было, то вполне могло быть.

ivanov17
()
Ответ на: комментарий от Werenter

А ставить бинарник сайта в линуксе можно только от безысходности.

?? и что даже аргументы к этому спорному высказыванию имеются? Чем в этом случае бинарник хуже репы? Что, дуров самолично напихал туда троянов? )

monkdt
()
Ответ на: комментарий от SerW

Так, а куда делся qt6-qtbase-6.4.3-1? Ладно.

Походу дело обстоит так. Обновили кути-бейс до версии 6.5, а телегу ещё не положили пересобранную под новые кути.

Вариантов несколько.

  1. Посмотреть новую телегу в testing репе, вполне может там уже быть.
  2. Посмотреть не собрали ли новую на koji.
  3. Откатить кути-бейс до 6.4
  4. Подождать пока обновят телегу.
  5. Пересобрать самому mock-ом, но это уже перебор.
papin-aziat ★★★★★
()
Ответ на: комментарий от Werenter

Ничего не удобнее. Официальный телеграмм работает отлично, сам обновляется, никаких движений не требует.

Единственный недостаток – нельзя кастомизировать десктоп-файл, так как телега его переписывает каждый раз, но это мало кому нужно.

А из реп, вот пожалуйста, теперь Серёжа будет сидеть и ждать пока мантейнеры отдуплятся.

papin-aziat ★★★★★
()
Ответ на: комментарий от SerW

А, извини, туплю, пивка дунул, это же из фьюжн, отбой.

Есть там у фьюжн тестинг?

grep testing /etc/yum.repos.d/*rpmfusion*

Как-то так

А из офф. реп надо пробовать даунгрейд, и если нет уже пакетов, то скачать с koji.

papin-aziat ★★★★★
()
Ответ на: комментарий от papin-aziat
[dragonserw@fedora ~]$ grep testing /etc/yum.repos.d/*rpmfusion*
/etc/yum.repos.d/rpmfusion-free-updates-testing.repo:[rpmfusion-free-updates-testing]
/etc/yum.repos.d/rpmfusion-free-updates-testing.repo:#baseurl=http://download1.rpmfusion.org/free/fedora/updates/testing/$releasever/$basearch/
/etc/yum.repos.d/rpmfusion-free-updates-testing.repo:metalink=https://mirrors.rpmfusion.org/metalink?repo=free-fedora-updates-testing-$releasever&arch=$basearch
/etc/yum.repos.d/rpmfusion-free-updates-testing.repo:[rpmfusion-free-updates-testing-debuginfo]
/etc/yum.repos.d/rpmfusion-free-updates-testing.repo:#baseurl=http://download1.rpmfusion.org/free/fedora/updates/testing/$releasever/$basearch/debug/
/etc/yum.repos.d/rpmfusion-free-updates-testing.repo:metalink=https://mirrors.rpmfusion.org/metalink?repo=free-fedora-updates-testing-debug-$releasever&arch=$basearch
/etc/yum.repos.d/rpmfusion-free-updates-testing.repo:[rpmfusion-free-updates-testing-source]
/etc/yum.repos.d/rpmfusion-free-updates-testing.repo:#baseurl=http://download1.rpmfusion.org/free/fedora/updates/testing/$releasever/SRPMS/
/etc/yum.repos.d/rpmfusion-free-updates-testing.repo:metalink=https://mirrors.rpmfusion.org/metalink?repo=free-fedora-updates-testing-source-$releasever&arch=$basearch
/etc/yum.repos.d/rpmfusion-nonfree-updates-testing.repo:[rpmfusion-nonfree-updates-testing]
/etc/yum.repos.d/rpmfusion-nonfree-updates-testing.repo:#baseurl=http://download1.rpmfusion.org/nonfree/fedora/updates/testing/$releasever/$basearch/
/etc/yum.repos.d/rpmfusion-nonfree-updates-testing.repo:metalink=https://mirrors.rpmfusion.org/metalink?repo=nonfree-fedora-updates-testing-$releasever&arch=$basearch
/etc/yum.repos.d/rpmfusion-nonfree-updates-testing.repo:[rpmfusion-nonfree-updates-testing-debuginfo]
/etc/yum.repos.d/rpmfusion-nonfree-updates-testing.repo:#baseurl=http://download1.rpmfusion.org/nonfree/fedora/updates/testing/$releasever/$basearch/debug/
/etc/yum.repos.d/rpmfusion-nonfree-updates-testing.repo:metalink=https://mirrors.rpmfusion.org/metalink?repo=nonfree-fedora-updates-testing-debug-$releasever&arch=$basearch
/etc/yum.repos.d/rpmfusion-nonfree-updates-testing.repo:[rpmfusion-nonfree-updates-testing-source]
/etc/yum.repos.d/rpmfusion-nonfree-updates-testing.repo:#baseurl=http://download1.rpmfusion.org/nonfree/fedora/updates/testing/$releasever/SRPMS/
/etc/yum.repos.d/rpmfusion-nonfree-updates-testing.repo:metalink=https://mirrors.rpmfusion.org/metalink?repo=nonfree-fedora-updates-testing-source-$releasever&arch=$basearch
[dragonserw@fedora ~]$ 
SerW
() автор топика
Ответ на: комментарий от Werenter

Репа тупо удобнее, пакетный менеджер предназначен для управления софтом на системе. Зачем нужно ставить что-то в обход ПМ?

Потому, что бинарник закинул куда захотел и пользуйся. Обновляется сама, работает прекрасно и без зависимостей:

$ pacman -Si telegram-desktop | grep 'Depends'
Depends On      : hunspell  ffmpeg  hicolor-icon-theme  lz4  minizip  openal  ttf-opensans  qt6-imageformats  qt6-svg  qt6-wayland  xxhash  rnnoise  pipewire  libxtst  libxrandr  jemalloc  abseil-cpp  libdispatch  openssl  protobuf  glib2  libsigc++-3.0
dmitry237 ★★★
()
Ответ на: комментарий от papin-aziat

Батька, не тем мы занимаемся ))
Я лучше с утра багрепорт запилю )

[root@fedora ~]# sudo dnf --enablerepo=rpmfusion-free-updates-testing install telegram-desktop
Last metadata expiration check: 0:00:15 ago on Пт 28 июл 2023 23:11:31.
Error: 
 Problem: problem with installed package gstreamer1-plugins-good-qt6-1.22.5-1.fc38.x86_64
  - package gstreamer1-plugins-good-qt6-1.22.5-1.fc38.x86_64 from @System requires libQt6Core.so.6(Qt_6.5)(64bit), but none of the providers can be installed
  - package gstreamer1-plugins-good-qt6-1.22.5-1.fc38.x86_64 from updates requires libQt6Core.so.6(Qt_6.5)(64bit), but none of the providers can be installed
  - cannot install both qt6-qtbase-6.4.3-1.fc38.x86_64 from fedora and qt6-qtbase-6.5.2-1.fc38.x86_64 from @System
  - cannot install both qt6-qtbase-6.5.2-1.fc38.x86_64 from updates and qt6-qtbase-6.4.3-1.fc38.x86_64 from fedora
  - package telegram-desktop-4.7.1-2.fc38.x86_64 from rpmfusion-free requires qt6-qtbase(x86-64) = 6.4.3, but none of the providers can be installed
  - conflicting requests
  - nothing provides qt6-qtbase(x86-64) = 6.5.1 needed by telegram-desktop-4.8.4-2.fc38.x86_64 from rpmfusion-free-updates
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages)
[root@fedora ~]# 
SerW
() автор топика
Ответ на: комментарий от SerW

Всё нормально, просто там ничего нет.

Остался вариант с даунгрейдом.

Не надо никаких багтрекеров, это штатная ситуация.

В данном случае, если телеграм был установлен, то ты не должен был соглашаться на апгрейд, ибо он выносит телегу.

Забей, завтра-послезавтра обновят.

papin-aziat ★★★★★
()
Ответ на: комментарий от papin-aziat

Лады, пасиб ))

Кстати, я очень много дней ждал, пока починят звонки в Fedora.
Смотрю сейчас в браузере, в истории есть ссылка на https://github.com/telegramdesktop/tdesktop/issues/26108.
Со звонками тоже была проблема в SSL.

SerW
() автор топика
Ответ на: комментарий от ivanov17

А где ты думаешь его мейнтейнеры дистров в пакеты берут? Сами собирают?) Да и даже если где-то вдруг собирают, ставя софт из реп ты тоже запускаешь у себя чужой бинарник.

Dog ★★★
()
Ответ на: комментарий от Dog

А где ты думаешь его мейнтейнеры дистров в пакеты берут? Сами собирают?

Собирают, например. Кроме того, под ведроид собирают ещё и без всякой странной херни.

ставя софт из реп ты тоже запускаешь у себя чужой бинарник

Ну как бы да. Поэтому некоторые штуки лучше запускать в чуть более изолированном окружении.

Спасибо Редхату, что есть возможность делать это одной командой.

ivanov17
()

Телега из RPMFusion постоянно отстает от версий Qt или что-то типа того, из-за это постоянно ломает зависимости.

Что делать? Нужно просто подождать день-два.

Но лучше просто поставить Телегу из flatpak. Я так и сделал.

MoldAndLimeHoney
()
Ответ на: комментарий от Dimez

Каждому своё.

С появлением аудио-сообщений, потребность в звонках как-то совсем сошла на нет.

Это вообще так круто – этакий формат «до востребования», когда людям для коммуникации (текст, аудио, видео) больше не надо быть на линии.

papin-aziat ★★★★★
()
Ответ на: комментарий от papin-aziat

я для звонков сотовый юзаю, а кто звонит мне через телегу или вацап, тех я педиками обзываю

А если всё-таки звонок был через телегу или вацап, то сам его записываешь и сам органам запись отправляешь?

Wizard_ ★★★★★
()
Ответ на: комментарий от papin-aziat

я для звонков сотовый юзаю, а кто звонит мне через телегу или вацап, тех я педиками обзываю

Во, остались ещё нормальные человеки. А то я думал уже у всех пришельцы мозг сожрали.

bread
()
Последнее исправление: bread (всего исправлений: 1)
Ответ на: комментарий от Werenter

Конкретно в случае с телегой лучше как раз бинарник

Он небольшой, портабельный, в важные части системы не лезет, только в меню конкретного пользователя себя пропишет, работает хорошо как с вяленым, так и с иксами

Если уж вы такой принципиальный, то вам стоит отказаться от использования популярных браузеров, так как ряд критический обновлений они получают не через пм дистрибутива

Так что не превращайте всё в религию

nikitalol
()